SimplePie Compatibility Test

Minimum Requirements

Test Should Be What You Have
PHP 5.2 or newer 5.5.9-1ubuntu4.17
cURL 7.15.0 or newer, with SSL 7.35.0 (OpenSSL/1.0.1f)
SimpleXML Enabled Enabled
SPL Enabled Enabled
JSON Enabled Enabled
PCRE Enabled Enabled
File System Read/Write Enabled Enabled

Optional Extensions

Test Would Like To Be What You Have
OpenSSL Enabled Enabled
Zlib Enabled Enabled
APC Enabled Enabled
XCache Enabled Disabled
Memcache Enabled Disabled
Memcached Enabled Disabled
PDO Enabled Enabled
PDO-SQLite Enabled Disabled
SQLite 2 Enabled Disabled
SQLite 3 Enabled Disabled

Bottom Line: Yes, you can!

Your PHP environment is ready to go, and can take advantage of all possible features!

What's Next?

You can download the latest version of the AWS SDK for PHP and install it by following the instructions. Also, check out our library of screencasts and tutorials.

Take the time to read "Getting Started" to make sure you're prepared to use the AWS SDK for PHP. No seriously, read it.

Give me the details!

  1. Your environment meets the minimum requirements for using the AWS SDK for PHP!
  2. The OpenSSL extension is installed. This will allow you to use CloudFront Private URLs and decrypt Microsoft® Windows® instance passwords.
  3. The Zlib extension is installed. The SDK will automatically leverage the compression capabilities of Zlib.
  4. Storage types available for response caching: The file system, APC

NOTE: Passing this test does not guarantee that the AWS SDK for PHP will run on your web server — it only ensures that the requirements have been addressed.